std::_Temporary_buffer< _ForwardIterator, _Tp >(3cxx)

NAME
std::_Temporary_buffer< _ForwardIterator, _Tp >

SYNOPSIS

#include <stl_tempbuf.h>

Inherited by __gnu_cxx::temporary_buffer< _ForwardIterator, _Tp >.

  Public Types

typedef pointer iterator
typedef value_type * pointer
typedef ptrdiff_t size_type
typedef _Tp value_type

  Public Member Functions

_Temporary_buffer (_ForwardIterator __seed, size_type __original_len)
iterator begin ()
As per Table mumble.
iterator end ()
As per Table mumble.
size_type requested_size () const
Returns the size requested by the constructor; may be >size().
size_type size () const
As per Table mumble.

  Protected Attributes

pointer _M_buffer
size_type _M_len
size_type _M_original_len

Detailed Description

  template<typename _ForwardIterator, typename _Tp>
class std::_Temporary_buffer< _ForwardIterator, _Tp >"This class is used in two places: stl_algo.h and ext/memory, where it is wrapped as the temporary_buffer class. See temporary_buffer docs for more notes.

Constructor & Destructor Documentation

  template<typename _ForwardIterator, typename _Tp> std::_Temporary_buffer< _ForwardIterator, _Tp >::_Temporary_buffer (_ForwardIterator __seed, size_type __original_len)
Constructs a temporary buffer of a size somewhere between zero and the given length.

References std::pair< _T1, _T2 >::first, std::get_temporary_buffer(), and std::pair< _T1, _T2 >::second.

Referenced by __gnu_cxx::temporary_buffer< _ForwardIterator, _Tp >::temporary_buffer().

Member Function Documentation

  template<typename _ForwardIterator, typename _Tp> iterator std::_Temporary_buffer< _ForwardIterator, _Tp >::begin () [inline]

As per Table mumble.

  template<typename _ForwardIterator, typename _Tp> iterator std::_Temporary_buffer< _ForwardIterator, _Tp >::end () [inline]

As per Table mumble.

  template<typename _ForwardIterator, typename _Tp> size_type std::_Temporary_buffer< _ForwardIterator, _Tp >::requested_size () const [inline]

Returns the size requested by the constructor; may be >size().

  template<typename _ForwardIterator, typename _Tp> size_type std::_Temporary_buffer< _ForwardIterator, _Tp >::size () const [inline]

As per Table mumble.

Author

Generated automatically by Doxygen for libstdc++ from the source code.